Package org.opensaml.saml.common.binding.decoding

# Interface SAMLMessageDecoder

All Superinterfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageDecoder`

All Known Implementing Classes:
  `HTTPArtifactDecoder`, `HTTPArtifactDecoder`, `HttpClientResponseSOAP11Decoder`, `HttpClientResponseSOAP11Decoder`, `HTTPPostDecoder`, `HTTPPostDecoder`, `HTTPPostSimpleSignDecoder`, `HTTPRedirectDeflateDecoder`, `HTTPSOAP11Decoder`, `HTTPSOAP11Decoder`

public interface SAMLMessageDecoder extends MessageDecoder
SAML extension to the generic message decoders.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBindingURI()`
Gets the SAML binding URI supported by this decoder.

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.decoder.MessageDecoder

`decode, getMessageContext`

## Method Details

### getBindingURI

@Nonnull @NotEmpty String getBindingURI()
Gets the SAML binding URI supported by this decoder.

Returns:
  SAML binding URI supported by this decoder